/*
 * @description: fancy flip-background menu for jquery
 * @copyright	Copyright (C) 2013 computer daten netze - fennders. All rights reserved.
 * @license	GNU General Public License version 2 or later; see LICENSE.txt
 * @author Dirk Hoeschen - www.feenders.de
 */
 
!(function( $ ){

  $.fn.flipmenu = function (options) { 

		var defaults = {
				animDuration		: 200,
				transitionIn		: 'swing',
				transitionOut		: 'swing',
				selectElements	: 'li>a'
		};

		var opts = $.extend(defaults, options);

    return this.each(function() {
			$(this).find(opts.selectElements).each(function(){
				$(this).addClass('flip');
				var li_text = $(this).text();
				$(this).html('<span class="main_text">' + li_text + '</span>' + '<span class="menu_slide">' + li_text + '</span>' );
				$(this).mouseover(function () {					
					$(this).children('span.main_text').stop().animate({opacity: 0, marginTop: -$(this).height()+'px' }, opts.animDuration,opts.transitionIn);
				});	
				$(this).mouseout(function () {					
					$(this).children('span.main_text').stop().animate({opacity: 1, marginTop: 0 }, opts.animDuration,opts.transitionOut);
				});					
			});
    });

  };
})( jQuery );
